Verify Custom Domain
curl --request POST \
--url https://{master_domain}/api/admin/v1/domains/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"domain_id": 8
}'import requests
url = "https://{master_domain}/api/admin/v1/domains/verifications"
payload = { "domain_id": 8 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain_id: 8})
};
fetch('https://{master_domain}/api/admin/v1/domains/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"verified": true
}
}{
"success": false,
"error": "Error message details",
"errors": [
{
"code": "ERROR_CODE",
"message": "Error message details",
"field": null
}
],
"request_id": "8f5a2e9b0c7d4e5f"
}Verify Custom Domain
Triggers DNS ownership verification checks for a white-labeled custom domain associated with the brand.
POST
/
domains
/
verifications
Verify Custom Domain
Authorizations
Enter the Admin scope Bearer API key.
Body
application/json
Database primary key ID of the custom domain entry to verify.
Example:
8
Last modified on July 12, 2026
Related topics
Admin API Reference - SMS, Domains, and Device ManagementPerformance and Scaling - Caching, Queues, and OptimizationManage Custom Domains - DNS, SSL, and Brand RoutingCustom Domains - SSL and DNS for Brand CheckoutsOwnPay Architecture: PHP Core, Middleware, and PluginsWas this page helpful?
⌘I